/*
 * Created on 2004/08/31
 *
 */
package jnet.hirommy.gui;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;

import javax.swing.ImageIcon;
import javax.swing.JFrame;

import jnet.hirommy.util.HirommyInfoConst;

/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class StartWindow extends JFrame {
	
	Image image;
	
	/**
	 * this is a default constractor.
	 *
	 */
	public StartWindow() {
		super(HirommyInfoConst.SOFTWARE_NAME);
		
	  	// create start window.
	 	// Image size is (500, 400).
		image = new ImageIcon( "img/start.jpg" ).getImage();
    
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    
		int xdim = image.getWidth( null );
		int ydim = image.getHeight( null );
		
		setResizable(false);
	 	setSize( xdim + 2, ydim + 2 );
	 	setLocation( (int) (screenSize.getWidth()-xdim)/2, (int) (screenSize.getHeight()-ydim)/2 );
	 	setVisible( true );
	}
	
	public void paint(Graphics g) {
		g.drawImage(image, 0, 0, this.getWidth(), getHeight(), this);
	}
}
