/*
 * Created on 2004/08/31
 *
 */
package jnet.hirommy.util.file;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

/**
 * This class is a class which saves incomming information history.
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class IncomInfoWriter implements InfoWriter, FileConst {
	
	/**
	 * This method is for writing incomming infomation history with XML format to text file.
	 * 
	 * @see jnet.hirommy.util.file.InfoWriter#write(java.lang.String, java.lang.String)
	 */
	public void write(String fileName, String data) {
		
		try {
			BufferedWriter writer =
					new BufferedWriter(new FileWriter(INCOMINFO_FOLDER_NAME + fileName + ".txt"));
			
			writer.write(data);
			writer.close();
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
