/*
 * Created on 2004/08/19
 *
 */

import jnet.hirommy.gui.MainWindow;
import jnet.hirommy.gui.StartWindow;
import jnet.hirommy.util.PlayAudio;

/**
 * Hirommy.java
 * 
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class Hirommy {

	public static void main(String[] args) {
		// play audio file at start Hirommy.
		new Thread(new PlayAudio()).start();
		
		// display start window
		StartWindow sw = new StartWindow();
		int displayTime = 3000;				// display time
		long start = System.currentTimeMillis();
		while ( System.currentTimeMillis() - start < displayTime )
		try {
		  Thread.sleep( 100 );
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		sw.dispose();
		// end display start window
		
		// start Hirommy.
		MainWindow mw = new MainWindow();
		mw.setSize(MainWindow.WIDTH, MainWindow.HEIGHT);
		mw.setVisible(true);
	}
}
