/*
 * Created on 2004/09/03
 *
 */
package test.its.ivc;

import java.util.LinkedList;

import jnet.hirommy.info.GpsInfo;
import jnet.hirommy.info.HirommyPacket;
import jnet.hirommy.info.MyProfileImpl;
import jnet.hirommy.info.OptionInfo;
import jnet.its.ivc.predict.PredictionAlgorithm;
import jnet.its.ivc.predict.SimplePredictionMethod;

/**
 * @author Kazuya Sakai
 * @version 2.0
 * @since jdk 1.4.2
 */
public class SimplePredictionMethodTest {

	public static void main(String[] args) {
		
		LinkedList lists = new LinkedList();
		
		double latitude = 10;
		double longitude = 10;
		
		for (int i = 0; i < 2; i++) {
			lists.add(new HirommyPacket("192.168.1.1",
										MyProfileImpl.getInstance(),
										new GpsInfo("", String.valueOf(latitude + i), String.valueOf(longitude + i), "", "", ""),
										new OptionInfo(null, null, null),
										null));
		}
		
		for (int i = 0; i < lists.size(); i++) {
			System.out.println(((HirommyPacket)lists.get(i)).getGpsInfo().toString());
		}
		
		PredictionAlgorithm pa = new SimplePredictionMethod();
		LinkedList pl = pa.predict(lists);
		
		for (int i = 0; i < pl.size(); i++) {
			System.out.println(pl.get(i).toString());
		}
	}
}
